> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Nth Prime

> Get the nth prime number.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/number/nth-prime
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/number/nth-prime:
    get:
      tags:
        - Number Utilities
      summary: Nth Prime
      description: Get the nth prime number.
      operationId: nth_prime_v1_number_nth_prime_get
      parameters:
        - name: 'n'
          in: query
          required: true
          schema:
            type: integer
            maximum: 10000
            minimum: 1
            description: Which prime number (1=2, 2=3, etc.)
            title: 'N'
          description: Which prime number (1=2, 2=3, etc.)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````